# HG changeset patch
# Node ID f11f92f2c5c4
# Parent  72dffc07269c
diff --git a/libpurple/purpleaccount.h b/libpurple/purpleaccount.h
--- a/libpurple/purpleaccount.h
+++ b/libpurple/purpleaccount.h
@@ -52,7 +52,10 @@
  * A #PurpleAccount is the core configuration for connecting to a specific
  * account. User interfaces typically allow users to create these in a dialog
  * or wizard.
+ *
+ * Since: 2.0.0
  */
+
 PURPLE_AVAILABLE_IN_3_0
 G_DECLARE_FINAL_TYPE(PurpleAccount, purple_account, PURPLE, ACCOUNT,
                      PurpleContactInfo)
@@ -65,7 +68,10 @@
  * Creates a new account.
  *
  * Returns: The new account.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 PurpleAccount *purple_account_new(const char *username, const char *protocol_id);
 
 /**
@@ -73,7 +79,10 @@
  * @account: The account to connect to.
  *
  * Connects to an account.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_account_connect(PurpleAccount *account);
 
 /**
@@ -81,7 +90,10 @@
  * @account: The account to disconnect from.
  *
  * Disconnects from an account.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_account_disconnect(PurpleAccount *account);
 
 /**
@@ -102,7 +114,10 @@
  * @account: The account for which requests should be closed
  *
  * Close account requests registered for the given PurpleAccount
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_account_request_close_with_account(PurpleAccount *account);
 
 /**
@@ -110,7 +125,10 @@
  * @ui_handle: The ui specific handle for which requests should be closed
  *
  * Close the account request for the given ui handle
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_account_request_close(void *ui_handle);
 
 /**
@@ -122,7 +140,10 @@
  *
  * Requests a password from the user for the account. Does not set the
  * account password on success; do that in ok_cb if desired.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_account_request_password(PurpleAccount *account, GCallback ok_cb, GCallback cancel_cb, void *user_data);
 
 /**
@@ -130,7 +151,10 @@
  * @account: The account to change the password on.
  *
  * Requests information from the user to change the account's password.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_account_request_change_password(PurpleAccount *account);
 
 /**
@@ -139,7 +163,10 @@
  *
  * Requests information from the user to change the account's
  * user information.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_account_request_change_user_info(PurpleAccount *account);
 
 /**
@@ -148,7 +175,10 @@
  * @user_info: The user information.
  *
  * Sets the account's user information
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_account_set_user_info(PurpleAccount *account, const char *user_info);
 
 /**
@@ -157,7 +187,10 @@
  * @path: The buddy icon non-cached path.
  *
  * Sets the account's buddy icon path.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_account_set_buddy_icon_path(PurpleAccount *account, const char *path);
 
 /**
@@ -166,7 +199,10 @@
  * @protocol_id: The protocol ID.
  *
  * Sets the account's protocol ID.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_account_set_protocol_id(PurpleAccount *account, const char *protocol_id);
 
 /**
@@ -175,7 +211,10 @@
  * @gc: The connection.
  *
  * Sets the account's connection.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_account_set_connection(PurpleAccount *account, PurpleConnection *gc);
 
 /**
@@ -184,7 +223,10 @@
  * @value: %TRUE if it should remember the password.
  *
  * Sets whether or not this account should save its password.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_account_set_remember_password(PurpleAccount *account, gboolean value);
 
 /**
@@ -193,7 +235,10 @@
  * @value: %TRUE if it is enabled.
  *
  * Sets whether or not this account is enabled.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_account_set_enabled(PurpleAccount *account, gboolean value);
 
 /**
@@ -202,7 +247,10 @@
  * @info: The proxy information.
  *
  * Sets the account's proxy information.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_account_set_proxy_info(PurpleAccount *account, PurpleProxyInfo *info);
 
 /**
@@ -211,7 +259,10 @@
  * @status_types: (element-type PurpleStatusType): The list of status types.
  *
  * Sets the account's status types.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_account_set_status_types(PurpleAccount *account, GList *status_types);
 
 /**
@@ -235,7 +286,10 @@
  * function does nothing.
  *
  * Variadic version of [method@Purple.Account.set_status_attrs].
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_account_set_status(PurpleAccount *account, const char *status_id, gboolean active, ...) G_GNUC_NULL_TERMINATED;
 
 
@@ -271,7 +325,10 @@
  * @value: The setting's value.
  *
  * Sets a protocol-specific integer setting for an account.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_account_set_int(PurpleAccount *account, const char *name, int value);
 
 /**
@@ -281,7 +338,10 @@
  * @value: The setting's value.
  *
  * Sets a protocol-specific string setting for an account.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_account_set_string(PurpleAccount *account, const char *name, const char *value);
 
 /**
@@ -291,7 +351,10 @@
  * @value: The setting's value.
  *
  * Sets a protocol-specific boolean setting for an account.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_account_set_bool(PurpleAccount *account, const char *name, gboolean value);
 
 /**
@@ -301,7 +364,10 @@
  * Returns whether or not the account is connected.
  *
  * Returns: %TRUE if connected, or %FALSE otherwise.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 gboolean purple_account_is_connected(PurpleAccount *account);
 
 /**
@@ -311,7 +377,10 @@
  * Returns whether or not the account is connecting.
  *
  * Returns: %TRUE if connecting, or %FALSE otherwise.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 gboolean purple_account_is_connecting(PurpleAccount *account);
 
 /**
@@ -321,7 +390,10 @@
  * Returns whether or not the account is disconnected.
  *
  * Returns: %TRUE if disconnected, or %FALSE otherwise.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 gboolean purple_account_is_disconnected(PurpleAccount *account);
 
 /**
@@ -331,7 +403,10 @@
  * Returns the account's user information.
  *
  * Returns: The user information.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 const char *purple_account_get_user_info(PurpleAccount *account);
 
 /**
@@ -341,7 +416,10 @@
  * Gets the account's buddy icon path.
  *
  * Returns: The buddy icon's non-cached path.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 const char *purple_account_get_buddy_icon_path(PurpleAccount *account);
 
 /**
@@ -351,7 +429,10 @@
  * Returns the account's protocol ID.
  *
  * Returns: The protocol ID.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 const char *purple_account_get_protocol_id(PurpleAccount *account);
 
 /**
@@ -375,7 +456,10 @@
  * Returns the account's protocol name.
  *
  * Returns: The protocol name.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 const char *purple_account_get_protocol_name(PurpleAccount *account);
 
 /**
@@ -385,7 +469,10 @@
  * Returns the account's connection.
  *
  * Returns: (transfer none): The connection.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 PurpleConnection *purple_account_get_connection(PurpleAccount *account);
 
 /**
@@ -395,7 +482,10 @@
  * Returns whether or not this account should save its password.
  *
  * Returns: %TRUE if it should remember the password.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 gboolean purple_account_get_remember_password(PurpleAccount *account);
 
 /**
@@ -405,7 +495,10 @@
  * Returns whether or not this account is enabled.
  *
  * Returns: %TRUE if it enabled on this UI.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 gboolean purple_account_get_enabled(PurpleAccount *account);
 
 /**
@@ -415,7 +508,10 @@
  * Returns the account's proxy information.
  *
  * Returns: (transfer none): The proxy information.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 PurpleProxyInfo *purple_account_get_proxy_info(PurpleAccount *account);
 
 /**
@@ -428,7 +524,10 @@
  * only one active PurpleStatus in a PurplePresence.
  *
  * Returns: (transfer none): The active status.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 PurpleStatus *purple_account_get_active_status(PurpleAccount *account);
 
 /**
@@ -439,7 +538,10 @@
  * Returns the account status with the specified ID.
  *
  * Returns: (transfer none): The status, or %NULL if it was never registered.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 PurpleStatus *purple_account_get_status(PurpleAccount *account, const char *status_id);
 
 /**
@@ -450,7 +552,10 @@
  * Returns the account status type with the specified ID.
  *
  * Returns: The status type if found, or %NULL.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 PurpleStatusType *purple_account_get_status_type(PurpleAccount *account, const char *id);
 
 /**
@@ -464,7 +569,10 @@
  * first PurpleStatusType is returned.
  *
  * Returns: The status if found, or %NULL.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 PurpleStatusType *purple_account_get_status_type_with_primitive(PurpleAccount *account, PurpleStatusPrimitive primitive);
 
 /**
@@ -474,7 +582,10 @@
  * Returns the account's presence.
  *
  * Returns: (transfer none): The account's presence.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 PurplePresence *purple_account_get_presence(PurpleAccount *account);
 
 /**
@@ -485,7 +596,10 @@
  * Returns whether or not an account status is active.
  *
  * Returns: TRUE if active, or FALSE if not.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 gboolean purple_account_is_status_active(PurpleAccount *account, const char *status_id);
 
 /**
@@ -495,7 +609,10 @@
  * Returns the account's status types.
  *
  * Returns: (transfer none) (element-type PurpleStatusType): The account's status types.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 GList *purple_account_get_status_types(PurpleAccount *account);
 
 /**
@@ -507,7 +624,10 @@
  * Returns a protocol-specific integer setting for an account.
  *
  * Returns: The value.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 int purple_account_get_int(PurpleAccount *account, const char *name, int default_value);
 
 /**
@@ -519,7 +639,10 @@
  * Returns a protocol-specific string setting for an account.
  *
  * Returns: The value.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 const char *purple_account_get_string(PurpleAccount *account, const char *name, const char *default_value);
 
 /**
@@ -531,7 +654,10 @@
  * Returns a protocol-specific boolean setting for an account.
  *
  * Returns: The value.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 gboolean purple_account_get_bool(PurpleAccount *account, const char *name, gboolean default_value);
 
 /**
@@ -541,7 +667,10 @@
  * @message: The invite message.  This may be ignored by a protocol.
  *
  * Adds a buddy to the server-side buddy list for the specified account.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_account_add_buddy(PurpleAccount *account, PurpleBuddy *buddy, const char *message);
 
 /**
@@ -551,7 +680,10 @@
  * @message: The invite message.  This may be ignored by a protocol.
  *
  * Adds a list of buddies to the server-side buddy list.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_account_add_buddies(PurpleAccount *account, GList *buddies, const char *message);
 
 /**
@@ -561,7 +693,10 @@
  * @group: The group to remove the buddy from.
  *
  * Removes a buddy from the server-side buddy list.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_account_remove_buddy(PurpleAccount *account, PurpleBuddy *buddy, PurpleGroup *group);
 
 /**
@@ -575,7 +710,10 @@
  *
  * Note: The lists buddies and groups are parallel lists.  Be sure that node n of
  *       groups matches node n of buddies.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_account_remove_buddies(PurpleAccount *account, GList *buddies, GList *groups);
 
 /**
@@ -584,7 +722,10 @@
  * @group: The group to remove.
  *
  * Removes a group from the server-side buddy list.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_account_remove_group(PurpleAccount *account, PurpleGroup *group);
 
 /**
@@ -594,7 +735,10 @@
  * @new_pw: The new password.
  *
  * Changes the password on the specified account.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 void purple_account_change_password(PurpleAccount *account, const char *orig_pw, const char *new_pw);
 
 /**
@@ -603,7 +747,10 @@
  * @buddy: The buddy
  *
  * Whether the account supports sending offline messages to buddy.
+ *
+ * Since: 2.0.0
  */
+PURPLE_AVAILABLE_IN_ALL
 gboolean purple_account_supports_offline_message(PurpleAccount *account, PurpleBuddy *buddy);
 
 /**
